Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractGraphValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractGraphValidator

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIGraphValidator

    public abstract class AbstractGraphValidator

extends javax.faces.component.UIComponentBase

The <rich:graphValidator> component is used to wrap a set of input components related to one object. The object defined by the <rich:graphValidator> component can then be completely validated. The validation includes all object properties, even those which are not bound to the individual form components. Validation performed in this way allows for cross-field validation in complex forms.

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractGraphValidator()`

Method Summary
`javax.faces.validator.Validator` | `createChildrenValidator()`
`abstract Class<?>[]` | `getGroups()` The list of fully-qualified names (FQNs) of classes determining bean-validation groups to be validated.
`abstract String` | `getSummary()` Message summary will be used in case in case of validation error when no other message is provided.
`abstract String` | `getType()` The validator-id of validator used to process validation of the provided bean (Default value: org.richfaces.BeanValidator)
`protected org.richfaces.validator.GraphValidatorState` | `getValidatorState(javax.faces.context.FacesContext context)`
`abstract Object` | `getValue()` Bean EL reference to be validated
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`abstract void` | `setGroups(Class<?>[] newvalue)`
`abstract void` | `setSummary(String newvalue)`
`abstract void` | `setType(String newvalue)`
`abstract void` | `setValue(Object newvalue)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractGraphValidator

    public AbstractGraphValidator()

Method Detail

### getValue

    public abstract Object getValue()

  Bean EL reference to be validated

### setValue

    public abstract void setValue(Object newvalue)

### getSummary

    public abstract String getSummary()

  Message summary will be used in case in case of validation error when no other message is provided.

### setSummary

    public abstract void setSummary(String newvalue)

### getGroups

    public abstract Class<?>[] getGroups()

  The list of fully-qualified names (FQNs) of classes determining bean-validation groups to be validated.

### setGroups

    public abstract void setGroups(Class<?>[] newvalue)

### getType

    public abstract String getType()

  The validator-id of validator used to process validation of the provided bean (Default value: org.richfaces.BeanValidator)

### setType

    public abstract void setType(String newvalue)

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### getValidatorState

    protected org.richfaces.validator.GraphValidatorState getValidatorState(javax.faces.context.FacesContext context)

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIComponentBase`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIComponentBase`

### createChildrenValidator

    public javax.faces.validator.Validator createChildrenValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.